--- old/usr/src/pkg/manifests/developer-build-onbld.mf	Tue Sep 11 12:46:15 2012
+++ new/usr/src/pkg/manifests/developer-build-onbld.mf	Tue Sep 11 12:46:15 2012
@@ -22,6 +22,7 @@
 #
 # Copyright (c) 2010, Oracle and/or its affiliates. All rights reserved.
 # Copyright 2010, Richard Lowe
+# Copyright 2012, Piotr Jasiukajtis
 #
 
 set name=pkg.fmri value=pkg:/developer/build/onbld@$(PKGVERS)
@@ -47,11 +48,6 @@
 dir path=opt/onbld/lib
 dir path=opt/onbld/lib/$(ARCH)
 dir path=opt/onbld/lib/perl
-dir path=opt/onbld/lib/python2.4
-dir path=opt/onbld/lib/python2.4/onbld
-dir path=opt/onbld/lib/python2.4/onbld/Checks
-dir path=opt/onbld/lib/python2.4/onbld/Scm
-dir path=opt/onbld/lib/python2.4/onbld/hgext
 dir path=opt/onbld/lib/python2.6
 dir path=opt/onbld/lib/python2.6/onbld
 dir path=opt/onbld/lib/python2.6/onbld/Checks
@@ -148,43 +144,6 @@
 file path=opt/onbld/lib/$(ARCH)/libdwarf.so.1
 file path=opt/onbld/lib/perl/onbld_elfmod.pm
 file path=opt/onbld/lib/perl/onbld_elfmod_vertype.pm
-file path=opt/onbld/lib/python2.4/onbld/Checks/CStyle.py mode=0444
-file path=opt/onbld/lib/python2.4/onbld/Checks/CStyle.pyc mode=0444
-file path=opt/onbld/lib/python2.4/onbld/Checks/Cddl.py mode=0444
-file path=opt/onbld/lib/python2.4/onbld/Checks/Cddl.pyc mode=0444
-file path=opt/onbld/lib/python2.4/onbld/Checks/CmtBlk.py mode=0444
-file path=opt/onbld/lib/python2.4/onbld/Checks/CmtBlk.pyc mode=0444
-file path=opt/onbld/lib/python2.4/onbld/Checks/Comments.py mode=0444
-file path=opt/onbld/lib/python2.4/onbld/Checks/Comments.pyc mode=0444
-file path=opt/onbld/lib/python2.4/onbld/Checks/Copyright.py mode=0444
-file path=opt/onbld/lib/python2.4/onbld/Checks/Copyright.pyc mode=0444
-file path=opt/onbld/lib/python2.4/onbld/Checks/DbLookups.py mode=0444
-file path=opt/onbld/lib/python2.4/onbld/Checks/DbLookups.pyc mode=0444
-file path=opt/onbld/lib/python2.4/onbld/Checks/HdrChk.py mode=0444
-file path=opt/onbld/lib/python2.4/onbld/Checks/HdrChk.pyc mode=0444
-file path=opt/onbld/lib/python2.4/onbld/Checks/JStyle.py mode=0444
-file path=opt/onbld/lib/python2.4/onbld/Checks/JStyle.pyc mode=0444
-file path=opt/onbld/lib/python2.4/onbld/Checks/Keywords.py mode=0444
-file path=opt/onbld/lib/python2.4/onbld/Checks/Keywords.pyc mode=0444
-file path=opt/onbld/lib/python2.4/onbld/Checks/Mapfile.py mode=0444
-file path=opt/onbld/lib/python2.4/onbld/Checks/Mapfile.pyc mode=0444
-file path=opt/onbld/lib/python2.4/onbld/Checks/ProcessCheck.py mode=0444
-file path=opt/onbld/lib/python2.4/onbld/Checks/ProcessCheck.pyc mode=0444
-file path=opt/onbld/lib/python2.4/onbld/Checks/__init__.py mode=0444
-file path=opt/onbld/lib/python2.4/onbld/Checks/__init__.pyc mode=0444
-file path=opt/onbld/lib/python2.4/onbld/Scm/Backup.py mode=0444
-file path=opt/onbld/lib/python2.4/onbld/Scm/Backup.pyc mode=0444
-file path=opt/onbld/lib/python2.4/onbld/Scm/Version.py mode=0444
-file path=opt/onbld/lib/python2.4/onbld/Scm/Version.pyc mode=0444
-file path=opt/onbld/lib/python2.4/onbld/Scm/WorkSpace.py mode=0444
-file path=opt/onbld/lib/python2.4/onbld/Scm/WorkSpace.pyc mode=0444
-file path=opt/onbld/lib/python2.4/onbld/Scm/__init__.py mode=0444
-file path=opt/onbld/lib/python2.4/onbld/Scm/__init__.pyc mode=0444
-file path=opt/onbld/lib/python2.4/onbld/__init__.py mode=0444
-file path=opt/onbld/lib/python2.4/onbld/__init__.pyc mode=0444
-file path=opt/onbld/lib/python2.4/onbld/hgext/__init__.py mode=0444
-file path=opt/onbld/lib/python2.4/onbld/hgext/__init__.pyc mode=0444
-file path=opt/onbld/lib/python2.4/onbld/hgext/cdm.py mode=0444
 file path=opt/onbld/lib/python2.6/onbld/Checks/CStyle.py mode=0444
 file path=opt/onbld/lib/python2.6/onbld/Checks/CStyle.pyc mode=0444
 file path=opt/onbld/lib/python2.6/onbld/Checks/Cddl.py mode=0444
@@ -265,10 +224,8 @@
 license usr/src/tools/onbld/THIRDPARTYLICENSE \
     license=usr/src/tools/onbld/THIRDPARTYLICENSE
 link path=opt/onbld/bin/git-nits target=git-pbchk
-link path=opt/onbld/lib/python target=python2.4
+link path=opt/onbld/lib/python target=python2.6
 link path=opt/onbld/man/man1/git-nits.1 target=git-pbchk.1
-# DbLookups.py requires elementtree
-depend fmri=library/python-2/python-extra-24 type=require
 # webrev(1) requires ps2pdf
 depend fmri=print/filter/ghostscript type=require
 # hgsetup(1) uses check-hostname(1) and nightly sendmail(1M)
